Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network141.52.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
141.52.0.0
Broadcast address
141.55.255.255
First usable
141.52.0.1
Last usable
141.55.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Public public
Old class
B (default /16)
As numbers
Hex 8D340000 · Integer 2368995328 to 2369257471
Reverse DNS zones
52.141.in-addr.arpa
53.141.in-addr.arpa
54.141.in-addr.arpa
55.141.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10001101.00110100.00000000.00000000141.52.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network10001101.00110100.00000000.00000000141.52.0.0
Broadcast10001101.00110111.11111111.11111111141.55.255.255
Split into smaller subnets/22

141.52.0.0/14 makes 256 subnets of /22.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1141.52.0.0/22141.52.0.1 to 141.52.3.254141.52.3.2551,022
2141.52.4.0/22141.52.4.1 to 141.52.7.254141.52.7.2551,022
3141.52.8.0/22141.52.8.1 to 141.52.11.254141.52.11.2551,022
4141.52.12.0/22141.52.12.1 to 141.52.15.254141.52.15.2551,022
5141.52.16.0/22141.52.16.1 to 141.52.19.254141.52.19.2551,022
6141.52.20.0/22141.52.20.1 to 141.52.23.254141.52.23.2551,022
7141.52.24.0/22141.52.24.1 to 141.52.27.254141.52.27.2551,022
8141.52.28.0/22141.52.28.1 to 141.52.31.254141.52.31.2551,022
9141.52.32.0/22141.52.32.1 to 141.52.35.254141.52.35.2551,022
10141.52.36.0/22141.52.36.1 to 141.52.39.254141.52.39.2551,022
11141.52.40.0/22141.52.40.1 to 141.52.43.254141.52.43.2551,022
12141.52.44.0/22141.52.44.1 to 141.52.47.254141.52.47.2551,022
13141.52.48.0/22141.52.48.1 to 141.52.51.254141.52.51.2551,022
14141.52.52.0/22141.52.52.1 to 141.52.55.254141.52.55.2551,022
15141.52.56.0/22141.52.56.1 to 141.52.59.254141.52.59.2551,022
16141.52.60.0/22141.52.60.1 to 141.52.63.254141.52.63.2551,022
17141.52.64.0/22141.52.64.1 to 141.52.67.254141.52.67.2551,022
18141.52.68.0/22141.52.68.1 to 141.52.71.254141.52.71.2551,022
19141.52.72.0/22141.52.72.1 to 141.52.75.254141.52.75.2551,022
20141.52.76.0/22141.52.76.1 to 141.52.79.254141.52.79.2551,022
21141.52.80.0/22141.52.80.1 to 141.52.83.254141.52.83.2551,022
22141.52.84.0/22141.52.84.1 to 141.52.87.254141.52.87.2551,022
23141.52.88.0/22141.52.88.1 to 141.52.91.254141.52.91.2551,022
24141.52.92.0/22141.52.92.1 to 141.52.95.254141.52.95.2551,022
25141.52.96.0/22141.52.96.1 to 141.52.99.254141.52.99.2551,022
26141.52.100.0/22141.52.100.1 to 141.52.103.254141.52.103.2551,022
27141.52.104.0/22141.52.104.1 to 141.52.107.254141.52.107.2551,022
28141.52.108.0/22141.52.108.1 to 141.52.111.254141.52.111.2551,022
29141.52.112.0/22141.52.112.1 to 141.52.115.254141.52.115.2551,022
30141.52.116.0/22141.52.116.1 to 141.52.119.254141.52.119.2551,022
31141.52.120.0/22141.52.120.1 to 141.52.123.254141.52.123.2551,022
32141.52.124.0/22141.52.124.1 to 141.52.127.254141.52.127.2551,022
33141.52.128.0/22141.52.128.1 to 141.52.131.254141.52.131.2551,022
34141.52.132.0/22141.52.132.1 to 141.52.135.254141.52.135.2551,022
35141.52.136.0/22141.52.136.1 to 141.52.139.254141.52.139.2551,022
36141.52.140.0/22141.52.140.1 to 141.52.143.254141.52.143.2551,022
37141.52.144.0/22141.52.144.1 to 141.52.147.254141.52.147.2551,022
38141.52.148.0/22141.52.148.1 to 141.52.151.254141.52.151.2551,022
39141.52.152.0/22141.52.152.1 to 141.52.155.254141.52.155.2551,022
40141.52.156.0/22141.52.156.1 to 141.52.159.254141.52.159.2551,022
41141.52.160.0/22141.52.160.1 to 141.52.163.254141.52.163.2551,022
42141.52.164.0/22141.52.164.1 to 141.52.167.254141.52.167.2551,022
43141.52.168.0/22141.52.168.1 to 141.52.171.254141.52.171.2551,022
44141.52.172.0/22141.52.172.1 to 141.52.175.254141.52.175.2551,022
45141.52.176.0/22141.52.176.1 to 141.52.179.254141.52.179.2551,022
46141.52.180.0/22141.52.180.1 to 141.52.183.254141.52.183.2551,022
47141.52.184.0/22141.52.184.1 to 141.52.187.254141.52.187.2551,022
48141.52.188.0/22141.52.188.1 to 141.52.191.254141.52.191.2551,022
49141.52.192.0/22141.52.192.1 to 141.52.195.254141.52.195.2551,022
50141.52.196.0/22141.52.196.1 to 141.52.199.254141.52.199.2551,022
51141.52.200.0/22141.52.200.1 to 141.52.203.254141.52.203.2551,022
52141.52.204.0/22141.52.204.1 to 141.52.207.254141.52.207.2551,022
53141.52.208.0/22141.52.208.1 to 141.52.211.254141.52.211.2551,022
54141.52.212.0/22141.52.212.1 to 141.52.215.254141.52.215.2551,022
55141.52.216.0/22141.52.216.1 to 141.52.219.254141.52.219.2551,022
56141.52.220.0/22141.52.220.1 to 141.52.223.254141.52.223.2551,022
57141.52.224.0/22141.52.224.1 to 141.52.227.254141.52.227.2551,022
58141.52.228.0/22141.52.228.1 to 141.52.231.254141.52.231.2551,022
59141.52.232.0/22141.52.232.1 to 141.52.235.254141.52.235.2551,022
60141.52.236.0/22141.52.236.1 to 141.52.239.254141.52.239.2551,022
61141.52.240.0/22141.52.240.1 to 141.52.243.254141.52.243.2551,022
62141.52.244.0/22141.52.244.1 to 141.52.247.254141.52.247.2551,022
63141.52.248.0/22141.52.248.1 to 141.52.251.254141.52.251.2551,022
64141.52.252.0/22141.52.252.1 to 141.52.255.254141.52.255.2551,022
65141.53.0.0/22141.53.0.1 to 141.53.3.254141.53.3.2551,022
66141.53.4.0/22141.53.4.1 to 141.53.7.254141.53.7.2551,022
67141.53.8.0/22141.53.8.1 to 141.53.11.254141.53.11.2551,022
68141.53.12.0/22141.53.12.1 to 141.53.15.254141.53.15.2551,022
69141.53.16.0/22141.53.16.1 to 141.53.19.254141.53.19.2551,022
70141.53.20.0/22141.53.20.1 to 141.53.23.254141.53.23.2551,022
71141.53.24.0/22141.53.24.1 to 141.53.27.254141.53.27.2551,022
72141.53.28.0/22141.53.28.1 to 141.53.31.254141.53.31.2551,022
73141.53.32.0/22141.53.32.1 to 141.53.35.254141.53.35.2551,022
74141.53.36.0/22141.53.36.1 to 141.53.39.254141.53.39.2551,022
75141.53.40.0/22141.53.40.1 to 141.53.43.254141.53.43.2551,022
76141.53.44.0/22141.53.44.1 to 141.53.47.254141.53.47.2551,022
77141.53.48.0/22141.53.48.1 to 141.53.51.254141.53.51.2551,022
78141.53.52.0/22141.53.52.1 to 141.53.55.254141.53.55.2551,022
79141.53.56.0/22141.53.56.1 to 141.53.59.254141.53.59.2551,022
80141.53.60.0/22141.53.60.1 to 141.53.63.254141.53.63.2551,022
81141.53.64.0/22141.53.64.1 to 141.53.67.254141.53.67.2551,022
82141.53.68.0/22141.53.68.1 to 141.53.71.254141.53.71.2551,022
83141.53.72.0/22141.53.72.1 to 141.53.75.254141.53.75.2551,022
84141.53.76.0/22141.53.76.1 to 141.53.79.254141.53.79.2551,022
85141.53.80.0/22141.53.80.1 to 141.53.83.254141.53.83.2551,022
86141.53.84.0/22141.53.84.1 to 141.53.87.254141.53.87.2551,022
87141.53.88.0/22141.53.88.1 to 141.53.91.254141.53.91.2551,022
88141.53.92.0/22141.53.92.1 to 141.53.95.254141.53.95.2551,022
89141.53.96.0/22141.53.96.1 to 141.53.99.254141.53.99.2551,022
90141.53.100.0/22141.53.100.1 to 141.53.103.254141.53.103.2551,022
91141.53.104.0/22141.53.104.1 to 141.53.107.254141.53.107.2551,022
92141.53.108.0/22141.53.108.1 to 141.53.111.254141.53.111.2551,022
93141.53.112.0/22141.53.112.1 to 141.53.115.254141.53.115.2551,022
94141.53.116.0/22141.53.116.1 to 141.53.119.254141.53.119.2551,022
95141.53.120.0/22141.53.120.1 to 141.53.123.254141.53.123.2551,022
96141.53.124.0/22141.53.124.1 to 141.53.127.254141.53.127.2551,022
97141.53.128.0/22141.53.128.1 to 141.53.131.254141.53.131.2551,022
98141.53.132.0/22141.53.132.1 to 141.53.135.254141.53.135.2551,022
99141.53.136.0/22141.53.136.1 to 141.53.139.254141.53.139.2551,022
100141.53.140.0/22141.53.140.1 to 141.53.143.254141.53.143.2551,022
101141.53.144.0/22141.53.144.1 to 141.53.147.254141.53.147.2551,022
102141.53.148.0/22141.53.148.1 to 141.53.151.254141.53.151.2551,022
103141.53.152.0/22141.53.152.1 to 141.53.155.254141.53.155.2551,022
104141.53.156.0/22141.53.156.1 to 141.53.159.254141.53.159.2551,022
105141.53.160.0/22141.53.160.1 to 141.53.163.254141.53.163.2551,022
106141.53.164.0/22141.53.164.1 to 141.53.167.254141.53.167.2551,022
107141.53.168.0/22141.53.168.1 to 141.53.171.254141.53.171.2551,022
108141.53.172.0/22141.53.172.1 to 141.53.175.254141.53.175.2551,022
109141.53.176.0/22141.53.176.1 to 141.53.179.254141.53.179.2551,022
110141.53.180.0/22141.53.180.1 to 141.53.183.254141.53.183.2551,022
111141.53.184.0/22141.53.184.1 to 141.53.187.254141.53.187.2551,022
112141.53.188.0/22141.53.188.1 to 141.53.191.254141.53.191.2551,022
113141.53.192.0/22141.53.192.1 to 141.53.195.254141.53.195.2551,022
114141.53.196.0/22141.53.196.1 to 141.53.199.254141.53.199.2551,022
115141.53.200.0/22141.53.200.1 to 141.53.203.254141.53.203.2551,022
116141.53.204.0/22141.53.204.1 to 141.53.207.254141.53.207.2551,022
117141.53.208.0/22141.53.208.1 to 141.53.211.254141.53.211.2551,022
118141.53.212.0/22141.53.212.1 to 141.53.215.254141.53.215.2551,022
119141.53.216.0/22141.53.216.1 to 141.53.219.254141.53.219.2551,022
120141.53.220.0/22141.53.220.1 to 141.53.223.254141.53.223.2551,022
121141.53.224.0/22141.53.224.1 to 141.53.227.254141.53.227.2551,022
122141.53.228.0/22141.53.228.1 to 141.53.231.254141.53.231.2551,022
123141.53.232.0/22141.53.232.1 to 141.53.235.254141.53.235.2551,022
124141.53.236.0/22141.53.236.1 to 141.53.239.254141.53.239.2551,022
125141.53.240.0/22141.53.240.1 to 141.53.243.254141.53.243.2551,022
126141.53.244.0/22141.53.244.1 to 141.53.247.254141.53.247.2551,022
127141.53.248.0/22141.53.248.1 to 141.53.251.254141.53.251.2551,022
128141.53.252.0/22141.53.252.1 to 141.53.255.254141.53.255.2551,022
129141.54.0.0/22141.54.0.1 to 141.54.3.254141.54.3.2551,022
130141.54.4.0/22141.54.4.1 to 141.54.7.254141.54.7.2551,022
131141.54.8.0/22141.54.8.1 to 141.54.11.254141.54.11.2551,022
132141.54.12.0/22141.54.12.1 to 141.54.15.254141.54.15.2551,022
133141.54.16.0/22141.54.16.1 to 141.54.19.254141.54.19.2551,022
134141.54.20.0/22141.54.20.1 to 141.54.23.254141.54.23.2551,022
135141.54.24.0/22141.54.24.1 to 141.54.27.254141.54.27.2551,022
136141.54.28.0/22141.54.28.1 to 141.54.31.254141.54.31.2551,022
137141.54.32.0/22141.54.32.1 to 141.54.35.254141.54.35.2551,022
138141.54.36.0/22141.54.36.1 to 141.54.39.254141.54.39.2551,022
139141.54.40.0/22141.54.40.1 to 141.54.43.254141.54.43.2551,022
140141.54.44.0/22141.54.44.1 to 141.54.47.254141.54.47.2551,022
141141.54.48.0/22141.54.48.1 to 141.54.51.254141.54.51.2551,022
142141.54.52.0/22141.54.52.1 to 141.54.55.254141.54.55.2551,022
143141.54.56.0/22141.54.56.1 to 141.54.59.254141.54.59.2551,022
144141.54.60.0/22141.54.60.1 to 141.54.63.254141.54.63.2551,022
145141.54.64.0/22141.54.64.1 to 141.54.67.254141.54.67.2551,022
146141.54.68.0/22141.54.68.1 to 141.54.71.254141.54.71.2551,022
147141.54.72.0/22141.54.72.1 to 141.54.75.254141.54.75.2551,022
148141.54.76.0/22141.54.76.1 to 141.54.79.254141.54.79.2551,022
149141.54.80.0/22141.54.80.1 to 141.54.83.254141.54.83.2551,022
150141.54.84.0/22141.54.84.1 to 141.54.87.254141.54.87.2551,022
151141.54.88.0/22141.54.88.1 to 141.54.91.254141.54.91.2551,022
152141.54.92.0/22141.54.92.1 to 141.54.95.254141.54.95.2551,022
153141.54.96.0/22141.54.96.1 to 141.54.99.254141.54.99.2551,022
154141.54.100.0/22141.54.100.1 to 141.54.103.254141.54.103.2551,022
155141.54.104.0/22141.54.104.1 to 141.54.107.254141.54.107.2551,022
156141.54.108.0/22141.54.108.1 to 141.54.111.254141.54.111.2551,022
157141.54.112.0/22141.54.112.1 to 141.54.115.254141.54.115.2551,022
158141.54.116.0/22141.54.116.1 to 141.54.119.254141.54.119.2551,022
159141.54.120.0/22141.54.120.1 to 141.54.123.254141.54.123.2551,022
160141.54.124.0/22141.54.124.1 to 141.54.127.254141.54.127.2551,022
161141.54.128.0/22141.54.128.1 to 141.54.131.254141.54.131.2551,022
162141.54.132.0/22141.54.132.1 to 141.54.135.254141.54.135.2551,022
163141.54.136.0/22141.54.136.1 to 141.54.139.254141.54.139.2551,022
164141.54.140.0/22141.54.140.1 to 141.54.143.254141.54.143.2551,022
165141.54.144.0/22141.54.144.1 to 141.54.147.254141.54.147.2551,022
166141.54.148.0/22141.54.148.1 to 141.54.151.254141.54.151.2551,022
167141.54.152.0/22141.54.152.1 to 141.54.155.254141.54.155.2551,022
168141.54.156.0/22141.54.156.1 to 141.54.159.254141.54.159.2551,022
169141.54.160.0/22141.54.160.1 to 141.54.163.254141.54.163.2551,022
170141.54.164.0/22141.54.164.1 to 141.54.167.254141.54.167.2551,022
171141.54.168.0/22141.54.168.1 to 141.54.171.254141.54.171.2551,022
172141.54.172.0/22141.54.172.1 to 141.54.175.254141.54.175.2551,022
173141.54.176.0/22141.54.176.1 to 141.54.179.254141.54.179.2551,022
174141.54.180.0/22141.54.180.1 to 141.54.183.254141.54.183.2551,022
175141.54.184.0/22141.54.184.1 to 141.54.187.254141.54.187.2551,022
176141.54.188.0/22141.54.188.1 to 141.54.191.254141.54.191.2551,022
177141.54.192.0/22141.54.192.1 to 141.54.195.254141.54.195.2551,022
178141.54.196.0/22141.54.196.1 to 141.54.199.254141.54.199.2551,022
179141.54.200.0/22141.54.200.1 to 141.54.203.254141.54.203.2551,022
180141.54.204.0/22141.54.204.1 to 141.54.207.254141.54.207.2551,022
181141.54.208.0/22141.54.208.1 to 141.54.211.254141.54.211.2551,022
182141.54.212.0/22141.54.212.1 to 141.54.215.254141.54.215.2551,022
183141.54.216.0/22141.54.216.1 to 141.54.219.254141.54.219.2551,022
184141.54.220.0/22141.54.220.1 to 141.54.223.254141.54.223.2551,022
185141.54.224.0/22141.54.224.1 to 141.54.227.254141.54.227.2551,022
186141.54.228.0/22141.54.228.1 to 141.54.231.254141.54.231.2551,022
187141.54.232.0/22141.54.232.1 to 141.54.235.254141.54.235.2551,022
188141.54.236.0/22141.54.236.1 to 141.54.239.254141.54.239.2551,022
189141.54.240.0/22141.54.240.1 to 141.54.243.254141.54.243.2551,022
190141.54.244.0/22141.54.244.1 to 141.54.247.254141.54.247.2551,022
191141.54.248.0/22141.54.248.1 to 141.54.251.254141.54.251.2551,022
192141.54.252.0/22141.54.252.1 to 141.54.255.254141.54.255.2551,022
193141.55.0.0/22141.55.0.1 to 141.55.3.254141.55.3.2551,022
194141.55.4.0/22141.55.4.1 to 141.55.7.254141.55.7.2551,022
195141.55.8.0/22141.55.8.1 to 141.55.11.254141.55.11.2551,022
196141.55.12.0/22141.55.12.1 to 141.55.15.254141.55.15.2551,022
197141.55.16.0/22141.55.16.1 to 141.55.19.254141.55.19.2551,022
198141.55.20.0/22141.55.20.1 to 141.55.23.254141.55.23.2551,022
199141.55.24.0/22141.55.24.1 to 141.55.27.254141.55.27.2551,022
200141.55.28.0/22141.55.28.1 to 141.55.31.254141.55.31.2551,022
201141.55.32.0/22141.55.32.1 to 141.55.35.254141.55.35.2551,022
202141.55.36.0/22141.55.36.1 to 141.55.39.254141.55.39.2551,022
203141.55.40.0/22141.55.40.1 to 141.55.43.254141.55.43.2551,022
204141.55.44.0/22141.55.44.1 to 141.55.47.254141.55.47.2551,022
205141.55.48.0/22141.55.48.1 to 141.55.51.254141.55.51.2551,022
206141.55.52.0/22141.55.52.1 to 141.55.55.254141.55.55.2551,022
207141.55.56.0/22141.55.56.1 to 141.55.59.254141.55.59.2551,022
208141.55.60.0/22141.55.60.1 to 141.55.63.254141.55.63.2551,022
209141.55.64.0/22141.55.64.1 to 141.55.67.254141.55.67.2551,022
210141.55.68.0/22141.55.68.1 to 141.55.71.254141.55.71.2551,022
211141.55.72.0/22141.55.72.1 to 141.55.75.254141.55.75.2551,022
212141.55.76.0/22141.55.76.1 to 141.55.79.254141.55.79.2551,022
213141.55.80.0/22141.55.80.1 to 141.55.83.254141.55.83.2551,022
214141.55.84.0/22141.55.84.1 to 141.55.87.254141.55.87.2551,022
215141.55.88.0/22141.55.88.1 to 141.55.91.254141.55.91.2551,022
216141.55.92.0/22141.55.92.1 to 141.55.95.254141.55.95.2551,022
217141.55.96.0/22141.55.96.1 to 141.55.99.254141.55.99.2551,022
218141.55.100.0/22141.55.100.1 to 141.55.103.254141.55.103.2551,022
219141.55.104.0/22141.55.104.1 to 141.55.107.254141.55.107.2551,022
220141.55.108.0/22141.55.108.1 to 141.55.111.254141.55.111.2551,022
221141.55.112.0/22141.55.112.1 to 141.55.115.254141.55.115.2551,022
222141.55.116.0/22141.55.116.1 to 141.55.119.254141.55.119.2551,022
223141.55.120.0/22141.55.120.1 to 141.55.123.254141.55.123.2551,022
224141.55.124.0/22141.55.124.1 to 141.55.127.254141.55.127.2551,022
225141.55.128.0/22141.55.128.1 to 141.55.131.254141.55.131.2551,022
226141.55.132.0/22141.55.132.1 to 141.55.135.254141.55.135.2551,022
227141.55.136.0/22141.55.136.1 to 141.55.139.254141.55.139.2551,022
228141.55.140.0/22141.55.140.1 to 141.55.143.254141.55.143.2551,022
229141.55.144.0/22141.55.144.1 to 141.55.147.254141.55.147.2551,022
230141.55.148.0/22141.55.148.1 to 141.55.151.254141.55.151.2551,022
231141.55.152.0/22141.55.152.1 to 141.55.155.254141.55.155.2551,022
232141.55.156.0/22141.55.156.1 to 141.55.159.254141.55.159.2551,022
233141.55.160.0/22141.55.160.1 to 141.55.163.254141.55.163.2551,022
234141.55.164.0/22141.55.164.1 to 141.55.167.254141.55.167.2551,022
235141.55.168.0/22141.55.168.1 to 141.55.171.254141.55.171.2551,022
236141.55.172.0/22141.55.172.1 to 141.55.175.254141.55.175.2551,022
237141.55.176.0/22141.55.176.1 to 141.55.179.254141.55.179.2551,022
238141.55.180.0/22141.55.180.1 to 141.55.183.254141.55.183.2551,022
239141.55.184.0/22141.55.184.1 to 141.55.187.254141.55.187.2551,022
240141.55.188.0/22141.55.188.1 to 141.55.191.254141.55.191.2551,022
241141.55.192.0/22141.55.192.1 to 141.55.195.254141.55.195.2551,022
242141.55.196.0/22141.55.196.1 to 141.55.199.254141.55.199.2551,022
243141.55.200.0/22141.55.200.1 to 141.55.203.254141.55.203.2551,022
244141.55.204.0/22141.55.204.1 to 141.55.207.254141.55.207.2551,022
245141.55.208.0/22141.55.208.1 to 141.55.211.254141.55.211.2551,022
246141.55.212.0/22141.55.212.1 to 141.55.215.254141.55.215.2551,022
247141.55.216.0/22141.55.216.1 to 141.55.219.254141.55.219.2551,022
248141.55.220.0/22141.55.220.1 to 141.55.223.254141.55.223.2551,022
249141.55.224.0/22141.55.224.1 to 141.55.227.254141.55.227.2551,022
250141.55.228.0/22141.55.228.1 to 141.55.231.254141.55.231.2551,022
251141.55.232.0/22141.55.232.1 to 141.55.235.254141.55.235.2551,022
252141.55.236.0/22141.55.236.1 to 141.55.239.254141.55.239.2551,022
253141.55.240.0/22141.55.240.1 to 141.55.243.254141.55.243.2551,022
254141.55.244.0/22141.55.244.1 to 141.55.247.254141.55.247.2551,022
255141.55.248.0/22141.55.248.1 to 141.55.251.254141.55.251.2551,022
256141.55.252.0/22141.55.252.1 to 141.55.255.254141.55.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses